=== debian/changelog ===
freeradius (1.1.1-0) unstable; urgency=low

  * New upstream release.
  * Delete dpatches merged in mainstream CVS:
    - 01_NET-SNMP_build_support
    - 02_document_actual_shared_secret_maximum_length
    - 12_more_dialup_admin_various_fixes
  * Remove irrelevant dpatch after rlm_eap changes in CVS:
    - 06_libtool14_vs_rlm_eap_tls
  * Features that break compatibility with Sarge have not been merged:
    - debhelper V5 support
    - lsb-init functions

 -- Nicolas Baradakis <nicolas.baradakis@cegetel.net>  Sun, 12 Feb 2006 16:29:20 +0100

freeradius (1.1.0-1) unstable; urgency=low
  * ReDebianise upstream tarball:
    - Deleted RFCs: 2243 2289 2433 2548 2618 2619 2620 2621 2716 2759 2809 2865
                    2866 2867 2868 2869 2882 2924 3162 3575 3576 3579 3580
                    draft-kamath-pppext-eap-mschapv2-00

  * New FreeRADIUS modules marked stable by new upstream release
    - rlm_perl
    - rlm_sqlcounter
    - rlm_sql_log + radsqlrelay
    - rlm_otp (formerly rlm_x99_token, not built as it depends on OpenSSL)

  * Remove upstream-integrated patches:
    - 02_EAP-SIM_doesnt_need_openssl
    - 03_X99_is_not_stable
    - 07_manpage_fixups
    - 09_use_crypth_if_we_have_it
    - 10_escape_entire_ldap_string
    - 11_dont_xlat_possibly_bad_usernames_in_bad_accounting_packets
    - 12_dialup_admin_various_fixes

  * More dialup-admin fixes from Arve Seljebu
    - Fix redirects in dialup-admin pages on servers with
      register_globals turned off.
      Closes: #333704
    - HTTP form fields will always fail is_int, use in_numeric instead
      Closes: #335149
    - Created 12_more_dialup_admin_various_fixes

  * Update to Policy 3.6.2.0
  * Upgrade Debhelper support to V5
  * Don't install the .in files with the examples
  * Prefer libmysqlclient15-dev
    Closes: #343779
  * Shared secrets can only be 31 characters long, note this in clients.conf
    - Created 02_document_actual_shared_secret_maximum_length
    Closes: 344606
  * Added support for lsb-init functions

 -- Paul Hampson <Paul.Hampson@anu.edu.au>  Sun, 15 Jan 2006 13:34:13 +1100

freeradius (1.1.0-0) unstable; urgency=low

  * New upstream release.
  * Update set of patches:
    - 01_NET-SNMP_build_support.dpatch
    - 06_libtool14_vs_rlm_eap_tls.dpatch
    - 13_a_libtool14_to_call_your_own.dpatch

 -- Nicolas Baradakis <nicolas.baradakis@cegetel.net>  Sun,  1 Jan 2006 18:15:47 +0100

freeradius (1.0.5-2) unstable; urgency=low

  * Stop dragging non-PIC code from libeap.a into rlm_eap_sim.so and
    rlm_eap.so.
    (Thanks to Peter Salinger)
    Closes: #288547
    - Rename 06_libtool14_vs_rlm_eap_tls to 06_libtool14_vs_rlm_eap
      and modify with Peter's changes and some Makefile hackery to
      get it all linking
  * Don't rerun configure during the build.
    (Thanks to Kurt Roeckx)
  * A whole bunch of dialup-admin fixes from Arve Seljebu and Tobias
    - Report correct data transfer statistics for users
      Closes: #329672
    - Lower-case sql column names to match creation scripts
      Closes: #333709
    - Fix creation of empty groups
      Closes: #333739
    - Put quote around usernames in HTML output
      Closes: #333742
    - Properly notice when we've got a blank password to SQL
      Closes: #333744
    - Created 12_dialup_admin_various_fixes
  * Stop using libtool1.4 to build against, now that we can't have it and
    libltdl3-dev installed at the same time
    Closes: #279391
    - Created 13_a_libtool14_to_call_your_own to get most recent ltmain.sh

 -- Paul Hampson <Paul.Hampson@anu.edu.au>  Sun, 16 Oct 2005 21:26:30 +1000

freeradius (1.0.5-1) unstable; urgency=high

  * Urgency high for security fixes below, all reported upstream
  * ReDebianise upstream tarball:
    - Deleted RFCs: 2243 2289 2433 2548 2618 2619 2620 2621 2716 2759 2809 2865
                    2866 2867 2868 2869 2882 2924 3162 3575 3576 3579 3580
                    draft-kamath-pppext-eap-mschapv2-00
  * Add missed build-dependancy on dpatch (>=2)
  * Update to Standards-Version 3.6.2.0
    - No changes needed
  * Repair some minorly broken manpages
    - Created 07_manpage_fixups.dpatch
  * Security fixes stolen from CVS release_1_0 branch:
    - Be sure we use crypt.h if we have it, to avoid segfaulting on a
      bad built-in crypt() definition, spotted by Konstantin Kubatkin
      + Created 09_use_crypth_if_we_have_it
    - Make sure we escape the entire LDAP string, instead of
      aborting as soon as it becomes possible to be out of space
      + Created 10_escape_entire_ldap_string
    - Don't xlat the UserName attribute before we can be sure of meeting
      any escape sequences it may contain, spotted by Primoz Bratanic
      + Created 11_dont_xlat_possibly_bad_usernames_in_bad_accounting_packets
  * Depend on adduser, so our postinst can create the freerad user
  * Don't install the .in versions of the example scripts.

 -- Paul Hampson <Paul.Hampson@anu.edu.au>  Mon, 19 Sep 2005 15:10:40 +1000

freeradius (1.0.5-0) unstable; urgency=low

  * New Upstream release, from release_1_0 branch
    - Remove 04_bonus_control_code_in_clients_conf_5
    - Remove 05_unbreak_quoted_sql_results
  * Fix my _name_ in the dpatches
  * Remove patch to CVS ID header from 05_unbreak_quoted_sql_values
    so as not to break things when comitting to FreeRADIUS CVS
  * Take linking fix from FreeRADIUS bugzilla #75 to allow
    rlm_eap_tls to be linked to by rlm_eap_ttls and rlm_eap_peap
    even though we don't build them in the Debian archive.
    (Thanks to Luca Landi for the patch)
    - Created 06_libtool14_vs_rlm_eap_tls
  * Fix ownership of files in /var/log/freeradius/ more efficiently
    (Caught by Guido Trotter)
    Closes: #326891

 -- Paul Hampson <Paul.Hampson@anu.edu.au>  Wed,  7 Sep 2005 01:08:07 +1000

freeradius (1.0.4-2) unstable; urgency=low

  * Fix my email address in the dpatches
  * Remove extraneous ^g from man/man5/clients.conf.5
    - Created 04_bonus_control_code_in_clients_conf_5

